org.apache.tinkerpop.gremlin.spark.structure.io

## Class InputFormatRDD

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.io.InputFormatRDD

- All Implemented Interfaces:
    InputRDD

      public final class InputFormatRDD
      extends Object
      implements InputRDD

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputFormatRDD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<any>` | `readGraphRDD(Configuration configuration, JavaSparkContext sparkContext)` Read the graphRDD from the underlying graph system.
    `<K,V> <any>` | `readMemoryRDD(Configuration configuration, String memoryKey, JavaSparkContext sparkContext)` Read a memoryRDD from the storage location.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputFormatRDD

          public InputFormatRDD()

  - ### Method Detail

    - #### readGraphRDD

          public <any> readGraphRDD(Configuration configuration,
                                    JavaSparkContext sparkContext)

      Description copied from interface: `InputRDD`
      Read the graphRDD from the underlying graph system.
      Specified by:
        `readGraphRDD` in interface `InputRDD`
      Parameters:
        `configuration` - the configuration for the `SparkGraphComputer`
        `sparkContext` - the Spark context with the requisite methods for generating a `JavaPairRDD`
      Returns:
        an adjacency list representation of the underlying graph system.

    - #### readMemoryRDD

          public <K,V> <any> readMemoryRDD(Configuration configuration,
                                           String memoryKey,
                                           JavaSparkContext sparkContext)

      Description copied from interface: `InputRDD`
      Read a memoryRDD from the storage location. The default implementation returns an empty RDD.
      Specified by:
        `readMemoryRDD` in interface `InputRDD`
      Type Parameters:
        `K` - the key class of the memoryRDD
        `V` - the value class of the memoryRDD
      Parameters:
        `configuration` - the configuration for the `SparkGraphComputer`
        `memoryKey` - the memory key of the memoryRDD
        `sparkContext` - the Spark context with the requisite methods for generating a `JavaPairRDD`
      Returns:
        the memoryRDD with respective key/value pairs.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.